Page MenuHomePhabricator

Provide a way to report local hideuser blocks for global CentralAuth oversight
Open, LowPublic

Description

The hideuser permission allows local oversighters and users with the right to block a user, hidding its name from lists, logs and histories. With the globalization of all accounts, it seems to me that it is likely that any account which is locally suppressed might be a candidate for global suppression as well (for example: an account on the English Wikipedia that reveals private information or is grossly insulting is likely to be as abusive in the rest of the projects). Thus I think it should be a system that allows the oversighter to report the username to the stewards to consider global suppression or that the software automatically reports those to the stewards. Whichever system would work IMHO. Thank you.

Event Timeline

MarcoAurelio updated the task description. (Show Details)
MarcoAurelio raised the priority of this task from to Needs Triage.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 16 2015, 2:49 PM

How would such a notification system work?

I think it would be much easier and simpler if we add a Wikimedia-override message to the suppression interface asking to inform the stewards about it if action needs to be taken by stewards.

How would such a notification system work?

I was thinking on an additional checkbox on Special:Block, and a page on meta similar to Special:GlobalRenameQueue. However I'm not coder at all and I don't know if that would be possible or there's a better way to do it.

I think it would be much easier and simpler if we add a Wikimedia-override message to the suppression interface asking to inform the stewards about it if action needs to be taken by stewards.

It'd be indeed much easier and I think it can work as a temporary solution or if the above is too difficult.

Luke081515 added a subscriber: Luke081515.

I was thinking on an additional checkbox on Special:Block, and a page on meta similar to Special:GlobalRenameQueue. However I'm not coder at all and I don't know if that would be possible or there's a better way to do it.

It's possible but this would require creating a new table and is probably not worth it.

By the current way MediaWiki's notifications system is designed, it probably won't be nice to have notifications like this. I could try to write a script which lets you look at the suppress log from all the wikis. This won't notify but stewards can look at the recent log entries and take action if necessary. Would that work?

The confirmation message shown before hideuser block can be used but it's formatted as an error message so it might look a bit weird but works.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptDec 26 2015, 12:26 PM
Glaisher triaged this task as Normal priority.Dec 26 2015, 12:26 PM
Glaisher added a project: WikimediaMessages.
Glaisher set Security to None.
Glaisher removed a subscriber: JEumerus.

Change 261035 had a related patch set uploaded (by Glaisher):
Add "ipb-confirmhideuser" message override

https://gerrit.wikimedia.org/r/261035

Change 261035 merged by jenkins-bot:
Add "ipb-confirmhideuser" message override

https://gerrit.wikimedia.org/r/261035

@MarcoAurelio Can this be marked as resolved? It's very unlikely that what this task originally requested would be implemented anytime soon. But I wouldn't mind even if it is left open. who knows we might actually have the infrastructure for implementing this type of pages in MediaWiki at some point in the future. ;)

@MarcoAurelio Can this be marked as resolved? It's very unlikely that what this task originally requested would be implemented anytime soon. But I wouldn't mind even if it is left open. who knows we might actually have the infrastructure for implementing this type of pages in MediaWiki at some point in the future. ;)

Dear Glaisher. Thanks for your patch. WRT the status of this task, I'll let you or anyone more experienced to deal with it. This patch is a good step forward IMHO, but should be enhaced as indicated above. That said, I have no strong opinion.

Glaisher lowered the priority of this task from Normal to Low.Dec 30 2015, 4:05 PM